Subject: Re: bug#27556: libpng has wrong hash.

From: ng0 <[email-masked]>
Date: Wed, 5 Jul 2017 07:57:25 +0000

Leo Famulari transcribed 2.9K bytes:
> On Sun, Jul 02, 2017 at 08:13:44PM +0000, ng0 wrote:
> > I don't know if they moved the file around, renamed it or
> > whatever, but the hash is now
> > "0m5nv70n9903x3xzxw9qqc6sgf2rp106ha0x6gix0xf8wcrljaab".
> > We should use this in icecat as intended (I use it for
> > firefox nightly I work on) so that these errors get
> > attention.
> > 
> > @ build-started /gnu/store/l2ajzgighkr23qhyrqzy3qm64gy7v75y-libpng-1.6.28-apng.patch.gz.drv - x86_64-linux /var/log/guix/drvs/l2//ajzgighkr23qhyrqzy3qm64gy7v75y-libpng-1.6.28-apng.patch.gz.drv.bz2
> > 
> > Starting download of /gnu/store/lsgx25nk7cg24hn6cn898jrkhs8aily3-libpng-1.6.28-apng.patch.gz
> > From http://downloads.sourceforge.net/project/libpng-apng/libpng16/1.6.28/libpng-1.6.28-apng.patch.gz...
> > following redirection to `https://netix.dl.sourceforge.net/project/libpng-apng/libpng16/1.6.28/libpng-1.6.28-apng.patch.gz'...
> >  ...-apng.patch.gz  11KiB           1.2MiB/s 00:00 [####################] 100.0%
> > sha256 hash mismatch for output path `/gnu/store/lsgx25nk7cg24hn6cn898jrkhs8aily3-libpng-1.6.28-apng.patch.gz'
> >   expected: 026r0gbkf6d6v54wca02cdxln8sj4m2c1yk62sj2aasv2ki2ffh5
> >   actual:   0m5nv70n9903x3xzxw9qqc6sgf2rp106ha0x6gix0xf8wcrljaab
> > @ build-failed /gnu/store/l2ajzgighkr23qhyrqzy3qm64gy7v75y-libpng-1.6.28-apng.patch.gz.drv - 1 sha256 hash mismatch for output path `/gnu/store/lsgx25nk7cg24hn6cn898jrkhs8aily3-libpng-1.6.28-apng.patch.gz'
> >   expected: 026r0gbkf6d6v54wca02cdxln8sj4m2c1yk62sj2aasv2ki2ffh5
> >   actual:   0m5nv70n9903x3xzxw9qqc6sgf2rp106ha0x6gix0xf8wcrljaab
> > cannot build derivation `/gnu/store/x1dqpvyjz4v25z4al6kll6i3n3whv9h3-libpng-apng-1.6.28.drv': 1 dependencies couldn't be built
> > guix build: error: build failed: build of `/gnu/store/x1dqpvyjz4v25z4al6kll6i3n3whv9h3-libpng-apng-1.6.28.drv' failed
> 
> Clarification: This is libpng-apng, not libpng.

Right, my mistake. It still is wrong, and that's
been the case for at least 3 weeks.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://n0is.noblogs.org/my-keys
https://www.infotropique.org https://krosos.org